
-- INDICES PARA CONSOLAS
CREATE INDEX IDX_ERROR_TECNICO_ID_CONSOLA ON ERROR_TECNICO (ID_CONSOLA);
CREATE INDEX IDX_ERROR_TECNICO_FECHA ON ERROR_TECNICO (FECHA);
CREATE INDEX IDX_REGISTRACION_ID_CONSOLA ON REGISTRACION (ID_CONSOLA);
COMMIT;


-- PK REFERENCIA_SUB_PERIODO Y SUB_PERIODO_DETALLE

CREATE INDEX IDX_RSP_JORNADA ON REFERENCIA_SUB_PERIODO (ID_JORNADA);
CREATE INDEX IDX_RSP_PERIODO ON REFERENCIA_SUB_PERIODO (ID_PERIODO);
CREATE INDEX IDX_RSP_PERSONA ON REFERENCIA_SUB_PERIODO (ID_PERSONA);
CREATE INDEX IDX_RSP_FECHA_JORNADA ON REFERENCIA_SUB_PERIODO (FECHA_JORNADA);

-- ESTA QUERY PUEDE TARDAR MUCHO (HORAS)
DELETE FROM SUB_PERIODO_DETALLE WHERE ID_REFERENCIA_SUB_PERIODO 
NOT IN (SELECT ID_REFERENCIA_SUB_PERIODO FROM REFERENCIA_SUB_PERIODO);

alter table SUB_PERIODO_DETALLE
add constraint FK_SUB_PERIODO_DETALLE_RSP
foreign key (ID_REFERENCIA_SUB_PERIODO) 
references REFERENCIA_SUB_PERIODO (ID_REFERENCIA_SUB_PERIODO)
on delete CASCADE;

-- FICHADA_PROCESO
CREATE INDEX IDX_FICHADA_PROCESO_PERSONA ON FICHADA_PROCESO (ID_PERSONA);
CREATE INDEX IDX_FICHADA_PROCESO_PROCESO ON FICHADA_PROCESO (ID_PROCESO);
CREATE INDEX IDX_FICHADA_PROCESO_FJ ON FICHADA_PROCESO (ID_FECHA_JORNADA);
CREATE INDEX IDX_FICHADA_PROCESO_GEO ON FICHADA_PROCESO (ID_GEOLOCALIZACION);

-- FK TABLA PRO

alter table PRO_CONVERSION add constraint FK_PRO_CONVERSION_EMPRESA
foreign key (ID_EMPRESA) references EMPRESA (ID_EMPRESA) on delete CASCADE;

alter table PRO_JORNADA_INDIV add constraint FK_PRO_JORNADA_INDIV_PERSONA
foreign key (ID_PERSONA) references PERSONA (ID_PERSONA) on delete CASCADE;

alter table PRO_REL_JOR_CON_FOR add constraint FK_PRO_REL_JOR_FC_CONCEPTO
foreign key (ID_CONCEPTO) references CONCEPTO (ID_CONCEPTO) on delete CASCADE;

alter table PRO_REL_JOR_CON_FOR_INDIV add constraint FK_PRO_REL_JOR_FC_INDIV_CP
foreign key (ID_CONCEPTO) references CONCEPTO (ID_CONCEPTO) on delete CASCADE;

alter table PRO_REL_JUSTIFICACION_TIPO add constraint FK_PRO_REL_JUSTIF_TIPO_TJ
foreign key (ID_TIPO_JUSTIFICACION) references TIPO_JUSTIFICACION (ID_TIPO_JUSTIFICACION);

alter table PRO_REL_NOVEDAD_PERSONA add constraint FK_PRO_REL_NOV_PER_PER
foreign key (ID_PERSONA) references PERSONA (ID_PERSONA) on delete CASCADE;

alter table PRO_REL_PERIODO_CONCEPTO add constraint FK_PRO_REL_PERIODO_CONCEPTO_CP
foreign key (ID_CONCEPTO) references CONCEPTO (ID_CONCEPTO) on delete CASCADE;

alter table PRO_REL_PER_CON_INDIV add constraint FK_PRO_REL_PER_CON_INDIV_CP
foreign key (ID_CONCEPTO) references CONCEPTO (ID_CONCEPTO) on delete CASCADE;

-- TABLAS PRO
CREATE INDEX IDX_PRO_CATEGORIA_EX_CATEGORIA ON PRO_CATEGORIA (ID_EX_CATEGORIA);
CREATE INDEX IDX_PRO_CONVENIO_EX_CONVENIO ON PRO_CONVENIO (ID_EX_CONVENIO);
CREATE INDEX IDX_PRO_CONVERSION_EX_CONV ON PRO_CONVERSION (ID_EX_CONVERSION);

CREATE INDEX IDX_PRO_EXT_PER_FLEX_EX_PER ON PRO_EXT_PER_FLEX (ID_EX_PERIODO);
CREATE INDEX IDX_PRO_EXT_PER_FLEX_EX_EXT ON PRO_EXT_PER_FLEX (ID_EX_EXT_PER_FLEX);

CREATE INDEX IDX_PRO_FERIADO_EX_FERIADO ON PRO_FERIADO (ID_EX_FERIADO);
CREATE INDEX IDX_PRO_FORMATO_CONCEPTO_EX_FC ON PRO_FORMATO_CONCEPTO  (ID_EX_FORMATO_CONCEPTO);
CREATE INDEX IDX_PRO_GRUPO_EX_GRUPO ON PRO_GRUPO (ID_EX_GRUPO);
CREATE INDEX IDX_PRO_HOR_CON_PER_EX_HCP ON PRO_HOR_CON_PER (ID_EX_HOR_CON_PER);

CREATE INDEX IDX_PRO_JORNADA_EX_JORNADA ON PRO_JORNADA (ID_EX_JORNADA);
CREATE INDEX IDX_PRO_JORNADA_EX_HCP ON PRO_JORNADA (ID_EX_HOR_CON_PER);

CREATE INDEX IDX_PRO_JC_EX_JC ON PRO_JORNADA_CALENDARIO (ID_EX_JORNADA_CALENDARIO);

CREATE INDEX IDX_PRO_JUSTIFICACION_EX_JUST ON PRO_JUSTIFICACION (ID_EX_JUSTIFICACION);
CREATE INDEX IDX_PRO_JUSTIFICACION_EX_CV ON PRO_JUSTIFICACION (ID_EX_CONCEPTO_VECES);
CREATE INDEX IDX_PRO_JUSTIFICACION_EX_CH ON PRO_JUSTIFICACION (ID_EX_CONCEPTO_HORAS);

CREATE INDEX IDX_PRO_NOVEDAD_EX_NOV ON PRO_NOVEDAD (ID_EX_NOVEDAD);
CREATE INDEX IDX_PRO_NOVEDAD_EX_HCP ON PRO_NOVEDAD (ID_EX_HOR_CON_PER);
CREATE INDEX IDX_PRO_NOVEDAD_EX_JUST ON PRO_NOVEDAD (ID_EX_JUSTIFICACION);
CREATE INDEX IDX_PRO_NOVEDAD_JORNADA ON PRO_NOVEDAD (ID_JORNADA);

CREATE INDEX IDX_PRO_PERIODO_EX_PERIODO ON PRO_PERIODO (ID_EX_PERIODO);
CREATE INDEX IDX_PRO_PERIODO_EX_JORNADA ON PRO_PERIODO (ID_EX_JORNADA);

CREATE INDEX IDX_PRO_PERSONA_HORARIO_EX_PH ON PRO_PERSONA_HORARIO (ID_EX_PERSONA_HORARIO);
CREATE INDEX IDX_PRO_PERSONA_HORARIO_EX_HCP ON PRO_PERSONA_HORARIO (ID_EX_HORARIO_CONTROL_PERSONAL);
CREATE INDEX IDX_PRO_PERSONA_HORARIO_GRUPO ON PRO_PERSONA_HORARIO (ID_GRUPO);

CREATE INDEX IDX_PRO_REL_CAT_CP_EX_CAT ON PRO_REL_CATEGORIA_CONCEPTO (ID_EX_CATEGORIA);
CREATE INDEX IDX_PRO_REL_CONV_PER_EX_CONV ON PRO_REL_CONVENIO_PERSONA (ID_EX_CONVENIO);

CREATE INDEX IDX_PRO_REL_CONV_CONV_EX_CONV ON PRO_REL_CONVERSION_CONVENIO (ID_EX_CONVERSION);
CREATE INDEX IDX_PRO_REL_CONV_CONV_CONV ON PRO_REL_CONVERSION_CONVENIO (ID_CONVENIO);

CREATE INDEX IDX_PRO_REL_FCC_DES_EX_FC ON PRO_REL_F_CONC_CONV_DES (ID_EX_FORMATO_CONCEPTO);
CREATE INDEX IDX_PRO_REL_FCC_DES_EX_CONV ON PRO_REL_F_CONC_CONV_DES (ID_EX_CONVERSION);

CREATE INDEX IDX_PRO_REL_FCC_ORI_EX_FC ON PRO_REL_F_CONC_CONV_ORI (ID_EX_FORMATO_CONCEPTO);
CREATE INDEX IDX_PRO_REL_FCC_ORI_EX_CONV ON PRO_REL_F_CONC_CONV_ORI (ID_EX_CONVERSION);

CREATE INDEX IDX_PRO_REL_GRP_PER_EX_GRP ON PRO_REL_GRUPO_PERSONA (ID_EX_GRUPO);

CREATE INDEX IDX_PRO_REL_JOR_CON_FOR_EX_FC ON PRO_REL_JOR_CON_FOR (ID_EX_FORMATO_CONCEPTO);
CREATE INDEX IDX_PRO_REL_JOR_CON_FOR_EX_JOR ON PRO_REL_JOR_CON_FOR (ID_EX_JORNADA);
CREATE INDEX IDX_PRO_REL_JOR_CON_FOR_EXRJCF ON PRO_REL_JOR_CON_FOR (ID_EX_REL_JOR_CON_FOR);

CREATE INDEX IDX_PRO_REL_JOR_CON_FOR_INV_FC ON PRO_REL_JOR_CON_FOR_INDIV (ID_EX_FORMATO_CONCEPTO);

CREATE INDEX IDX_PRO_REL_JUSTIF_TIPO_EX_JUS ON PRO_REL_JUSTIFICACION_TIPO (ID_EX_JUSTIFICACION);

CREATE INDEX IDX_PRO_REL_NOV_GRP_EX_NOV ON PRO_REL_NOVEDAD_GRUPO (ID_EX_NOVEDAD);
CREATE INDEX IDX_PRO_REL_NOV_GRP_GRP ON PRO_REL_NOVEDAD_GRUPO (ID_GRUPO);
CREATE INDEX IDX_PRO_REL_NOV_PER_EX_NOV ON PRO_REL_NOVEDAD_PERSONA (ID_EX_NOVEDAD);

CREATE INDEX IDX_PRO_REL_PC_EX_FC ON PRO_REL_PERIODO_CONCEPTO (ID_EX_FORMATO_CONCEPTO);
CREATE INDEX IDX_PRO_REL_PC_EX_PER ON PRO_REL_PERIODO_CONCEPTO (ID_EX_PERIODO);
CREATE INDEX IDX_PRO_REL_PC_EX_RPC ON PRO_REL_PERIODO_CONCEPTO (ID_EX_REL_PERIODO_CONCEPTO);

CREATE INDEX IDX_PRO_REL_PER_CAT_EX_CAT ON PRO_REL_PERSONA_CATEGORIA (ID_EX_CATEGORIA);

CREATE INDEX IDX_PRO_REL_PCI_EX_FC ON PRO_REL_PER_CON_INDIV (ID_EX_FORMATO_CONCEPTO);

CREATE INDEX IDX_PRO_RET_CAL_EX_RC ON PRO_RETICULA_CALENDARIO (ID_EX_RETICULA_CALENDARIO);
CREATE INDEX IDX_PRO_RET_CAL_EX_JC ON PRO_RETICULA_CALENDARIO (ID_EX_JORNADA_CALENDARIO);
CREATE INDEX IDX_PRO_RET_CAL_EX_JOR ON PRO_RETICULA_CALENDARIO (ID_EX_JORNADA);

-- ANORMALIDAD_CALCULO
CREATE INDEX IDX_ANOR_CALC_PERSONA ON ANORMALIDAD_CALCULO (ID_PERSONA);
CREATE INDEX IDX_ANOR_CALC_PERIODO ON ANORMALIDAD_CALCULO (ID_PERIODO);
CREATE INDEX IDX_ANOR_CALC_FJ ON ANORMALIDAD_CALCULO (ID_FECHA_JORNADA);
CREATE INDEX IDX_ANOR_CALC_PROCESO ON ANORMALIDAD_CALCULO (ID_PROCESO);
CREATE INDEX IDX_ANOR_CALC_ACR ON ANORMALIDAD_CALCULO (ID_ANORMALIDAD_CALC_REEMPLAZO);

-- CONCEPTO_PROCESO
CREATE INDEX IDX_CP_PERSONA ON CONCEPTO_PROCESO (ID_PERSONA);
CREATE INDEX IDX_CP_FJ ON CONCEPTO_PROCESO (ID_FECHA_JORNADA);
CREATE INDEX IDX_CP_PROCESO ON CONCEPTO_PROCESO (ID_PROCESO);
CREATE INDEX IDX_CP_FC ON CONCEPTO_PROCESO (ID_FORMATO_CONCEPTO);
CREATE INDEX IDX_CP_CPR ON CONCEPTO_PROCESO (ID_CONCEPTO_PROCESO_REEMPLAZO);

-- PROCESO_PERSONA_JORNADA
CREATE INDEX IDX_PROCESO_PERSONA_JORNADA_PERSONA ON PROCESO_PERSONA_JORNADA (ID_PERSONA);
CREATE INDEX IDX_PROCESO_PERSONA_JORNADA_PROCESO ON PROCESO_PERSONA_JORNADA (ID_PROCESO);
CREATE INDEX IDX_PROCESO_PERSONA_JORNADA_JORNADA ON PROCESO_PERSONA_JORNADA (ID_FECHA_JORNADA);
CREATE INDEX IDX_PROCESO_PERSONA_JORNADA4 ON PROCESO_PERSONA_JORNADA (ID_CENTRO_COSTO);
CREATE INDEX IDX_PROCESO_PERSONA_JORNADA5 ON PROCESO_PERSONA_JORNADA (USUARIO_MODIF);
CREATE INDEX IDX_PROCESO_PERSONA_JORNADA6 ON PROCESO_PERSONA_JORNADA (ID_TIPO_AUTORIZACION);

-- INDICES DE FK
CREATE INDEX IDX_PPJN_PROCESO ON PROCESO_PER_JOR_NOV (ID_PROCESO);
CREATE INDEX IDX_PPJN_PERSONA ON PROCESO_PER_JOR_NOV (ID_PERSONA);
CREATE INDEX IDX_PPJN_FECHA_JORNADA ON PROCESO_PER_JOR_NOV (ID_FECHA_JORNADA);
CREATE INDEX IDX_PPJN_NOVEDAD ON PROCESO_PER_JOR_NOV (ID_NOVEDAD);

CREATE INDEX IDX_PPJC_PROCESO ON PROCESO_PER_JOR_CNV (ID_PROCESO);
CREATE INDEX IDX_PPJC_PERSONA ON PROCESO_PER_JOR_CNV (ID_PERSONA);
CREATE INDEX IDX_PPJC_FECHA_JORNADA ON PROCESO_PER_JOR_CNV (ID_FECHA_JORNADA);
CREATE INDEX IDX_PPJC_CONVERSION ON PROCESO_PER_JOR_CNV (ID_CONVERSION);

CREATE INDEX IDX_PPJD_PROCESO ON PROCESO_PER_JOR_DOC (ID_PROCESO);
CREATE INDEX IDX_PPJD_PERSONA ON PROCESO_PER_JOR_DOC (ID_PERSONA);
CREATE INDEX IDX_PPJD_FECHA_JORNADA ON PROCESO_PER_JOR_DOC (ID_FECHA_JORNADA);
CREATE INDEX IDX_PPJD_DOCUMENTO ON PROCESO_PER_JOR_DOC (ID_DOCUMENTO);

CREATE INDEX IDX_PROC_PRO_REL_F_CC_CV_DES1 ON PROCESO_PRO_REL_FC_CV_DES (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_REL_F_CC_CV_DES2 ON PROCESO_PRO_REL_FC_CV_DES (ID_PRO_REL_F_CONC_CONV_DES);
CREATE INDEX IDX_PROC_PRO_REL_F_CC_CV_ORI1 ON PROCESO_PRO_REL_FC_CV_ORI (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_REL_F_CC_CV_ORI2 ON PROCESO_PRO_REL_FC_CV_ORI (ID_PRO_REL_F_CONC_CONV_ORI);
CREATE INDEX IDX_PROC_PRO_REL_NVDD_PRSN1 ON PROCESO_PRO_REL_NOV_PER (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_REL_NVDD_PRSN2 ON PROCESO_PRO_REL_NOV_PER (ID_PRO_REL_NOVEDAD_PERSONA);
CREATE INDEX IDX_PROC_PRO_RETI_CALEN1 ON PROCESO_PRO_RET_CAL (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_RETI_CALEN2 ON PROCESO_PRO_RET_CAL (ID_PRO_RETICULA_CALENDARIO);

CREATE INDEX IDX_ACCESO_2 ON ACCESO (USUARIO_ALTA);
CREATE INDEX IDX_ACCESO_3 ON ACCESO (USUARIO_MODIF);

CREATE INDEX IDX_AGENDA_2 ON AGENDA (ID_ESTADO_AGENDA);
CREATE INDEX IDX_AGENDA_3 ON AGENDA (USUARIO_ALTA);
CREATE INDEX IDX_AGENDA_4 ON AGENDA (USUARIO_MODIF);
CREATE INDEX IDX_AGENDA_5 ON AGENDA (ID_EMPRESA);
CREATE INDEX IDX_AGENDA_6 ON AGENDA (ID_PERSONA);

CREATE INDEX IDX_AGENTE_4 ON AGENTE (USUARIO_ALTA);
CREATE INDEX IDX_AGENTE_5 ON AGENTE (USUARIO_MODIF);
CREATE INDEX IDX_AGENTE_6 ON AGENTE (ID_TIPO_EJECUCION_AGENTE);

CREATE INDEX IDX_AGRUPACION_2 ON AGRUPACION (USUARIO_ALTA);
CREATE INDEX IDX_AGRUPACION_3 ON AGRUPACION (USUARIO_MODIF);

CREATE INDEX IDX_AUDITORIA_1 ON AUDITORIA (ID_OPERACION);
CREATE INDEX IDX_AUDITORIA_2 ON AUDITORIA (ID_OPCION);
CREATE INDEX IDX_AUDITORIA_3 ON AUDITORIA (ID_USUARIO);
CREATE INDEX IDX_AUDITORIA_4 ON AUDITORIA (ID_EMPRESA);

CREATE INDEX IDX_CATEGORIA_1 ON CATEGORIA (USUARIO_ALTA);
CREATE INDEX IDX_CATEGORIA_2 ON CATEGORIA (USUARIO_MODIF);
CREATE INDEX IDX_CATEGORIA_3 ON CATEGORIA (ID_EMPRESA);

CREATE INDEX IDX_CONCEPTO_PROCESO_2 ON CONCEPTO_PROCESO (ID_CONCEPTO);

CREATE INDEX IDX_CONF_MONITOR_2 ON CONFIGURACION_MONITOR (ID_RELOJ_PUNTO_ENTRADA);

CREATE INDEX IDX_CONVENIO_1 ON CONVENIO (USUARIO_ALTA);
CREATE INDEX IDX_CONVENIO_2 ON CONVENIO (USUARIO_MODIF);
CREATE INDEX IDX_CONVENIO_3 ON CONVENIO (ID_EMPRESA);

CREATE INDEX IDX_CONVERSION_1 ON CONVERSION (USUARIO_ALTA);
CREATE INDEX IDX_CONVERSION_2 ON CONVERSION (USUARIO_MODIF);
CREATE INDEX IDX_CONVERSION_3 ON CONVERSION (ID_EMPRESA);

CREATE INDEX IDX_DATO_PERMANENCIA_2 ON DATO_PERMANENCIA (ID_RELOJ_INGRESO);
CREATE INDEX IDX_DATO_PERMANENCIA_3 ON DATO_PERMANENCIA (ID_RELOJ_EGRESO);

CREATE INDEX IDX_ERROR_TECNICO_1 ON ERROR_TECNICO (ID_RELOJ);
CREATE INDEX IDX_ERROR_TECNICO_2 ON ERROR_TECNICO (ID_TIPO_ERROR_TECNICO);

CREATE INDEX IDX_FERIADO_1 ON FERIADO (USUARIO_ALTA);
CREATE INDEX IDX_FERIADO_2 ON FERIADO (USUARIO_MODIF);
CREATE INDEX IDX_FERIADO_3 ON FERIADO (ID_EMPRESA);
CREATE INDEX IDX_FERIADO_4 ON FERIADO (ID_FORMATO_CONCEPTO_VECES);
CREATE INDEX IDX_FERIADO_5 ON FERIADO (ID_FORMATO_CONCEPTO_HORAS);

CREATE INDEX IDX_FORMATO_CONCEPTO_1 ON FORMATO_CONCEPTO (USUARIO_ALTA);
CREATE INDEX IDX_FORMATO_CONCEPTO_2 ON FORMATO_CONCEPTO (USUARIO_MODIF);
CREATE INDEX IDX_FORMATO_CONCEPTO_3 ON FORMATO_CONCEPTO (ID_EMPRESA);

CREATE INDEX IDX_GRUPO_2 ON GRUPO (USUARIO_ALTA);
CREATE INDEX IDX_GRUPO_3 ON GRUPO (USUARIO_MODIF);

CREATE INDEX IDX_HORARIO_1 ON HORARIO (ID_EMPRESA);
CREATE INDEX IDX_HORARIO_2 ON HORARIO (USUARIO_ALTA);
CREATE INDEX IDX_HORARIO_3 ON HORARIO (USUARIO_MODIF);

CREATE INDEX IDX_HORARIO_CONTROL_PERSONAL_1 ON HORARIO_CONTROL_PERSONAL (USUARIO_ALTA);
CREATE INDEX IDX_HORARIO_CONTROL_PERSONAL_2 ON HORARIO_CONTROL_PERSONAL (USUARIO_MODIF);
CREATE INDEX IDX_HORARIO_CONTROL_PERSONAL_3 ON HORARIO_CONTROL_PERSONAL (ID_EMPRESA);
CREATE INDEX IDX_HORARIO_CONTROL_PERSONAL_4 ON HORARIO_CONTROL_PERSONAL (ID_TIPO_HORARIO);

CREATE INDEX IDX_JORNADA_1 ON JORNADA (ID_HORARIO_CONTROL_PERSONAL);
CREATE INDEX IDX_JORNADA_2 ON JORNADA (USUARIO_ALTA);
CREATE INDEX IDX_JORNADA_3 ON JORNADA (USUARIO_MODIF);
CREATE INDEX IDX_JORNADA_4 ON JORNADA (ID_EMPRESA);

CREATE INDEX IDX_JUSTIFICACION_2 ON JUSTIFICACION (ID_CONCEPTO_VECES);
CREATE INDEX IDX_JUSTIFICACION_3 ON JUSTIFICACION (ID_CONCEPTO_HORAS);
CREATE INDEX IDX_JUSTIFICACION_4 ON JUSTIFICACION (USUARIO_ALTA);
CREATE INDEX IDX_JUSTIFICACION_5 ON JUSTIFICACION (USUARIO_MODIF);
CREATE INDEX IDX_JUSTIFICACION_6 ON JUSTIFICACION (ID_EMPRESA);

CREATE INDEX IDX_NOVEDAD_1 ON NOVEDAD (ID_HORARIO_CONTROL_PERSONAL);
CREATE INDEX IDX_NOVEDAD_2 ON NOVEDAD (USUARIO_ALTA);
CREATE INDEX IDX_NOVEDAD_3 ON NOVEDAD (USUARIO_MODIF);
CREATE INDEX IDX_NOVEDAD_4 ON NOVEDAD (ID_EMPRESA);
CREATE INDEX IDX_NOVEDAD_5 ON NOVEDAD (ID_TIPO_NOVEDAD);
CREATE INDEX IDX_NOVEDAD_6 ON NOVEDAD (ID_JORNADA);
CREATE INDEX IDX_NOVEDAD_7 ON NOVEDAD (ID_JUSTIFICACION);
CREATE INDEX IDX_NOVEDAD_8 ON NOVEDAD (ID_TIPO_JUSTIFICACION);
CREATE INDEX IDX_NOVEDAD_9 ON NOVEDAD (CASO_AUTORIZACION);
CREATE INDEX IDX_NOVEDAD_10 ON NOVEDAD (DIAS_CORRIDOS);
CREATE INDEX IDX_NOVEDAD_11 ON NOVEDAD (ID_TIPO_AUTORIZACION);
CREATE INDEX IDX_NOVEDAD_12 ON NOVEDAD (ID_FORMATO_CONCEPTO);

CREATE INDEX IDX_REL_NOV_DOC_NOV ON REL_NOVEDAD_DOCUMENTO (ID_NOVEDAD);
CREATE INDEX IDX_REL_NOV_DOC_DOC ON REL_NOVEDAD_DOCUMENTO (ID_DOCUMENTO);

CREATE INDEX IDX_NOV_EXPORTACION ON NOVEDAD_EXPORTACION (ID_NOVEDAD);

CREATE INDEX IDX_REL_NOVEDAD_USUARIO_1 ON REL_NOVEDAD_USUARIO (ID_NOVEDAD);
CREATE INDEX IDX_REL_NOVEDAD_USUARIO_2 ON REL_NOVEDAD_USUARIO (ID_USUARIO);
CREATE INDEX IDX_REL_NOVEDAD_USUARIO_3 ON REL_NOVEDAD_USUARIO (ID_ESTADO_AUTORIZACION);

CREATE INDEX IDX_PARAMETRO_ACCESO_1 ON PARAMETRO_ACCESO (ID_EMPRESA);

CREATE INDEX IDX_PARAMETRO_GENERAL_1 ON PARAMETRO_GENERAL (ID_EMPRESA);

CREATE INDEX IDX_PARAMETRO_HORARIO_1 ON PARAMETRO_HORARIO (FORMATO_CONCEPTO);
CREATE INDEX IDX_PARAMETRO_HORARIO_4 ON PARAMETRO_HORARIO (ID_EMPRESA);

CREATE INDEX IDX_PARAMETRO_IMPO_1 ON PARAMETRO_IMPO (ID_EMPRESA);
CREATE INDEX IDX_PARAMETRO_EXPO_1 ON PARAMETRO_EXPO (ID_EMPRESA);
CREATE INDEX IDX_PARAMETRO_EXPO_2 ON PARAMETRO_EXPO (E_ID_AGRUPACION);

CREATE INDEX IDX_PARAM_NOV_1 ON PARAMETRO_NOVEDAD (FORMATO_AUSENCIA);
CREATE INDEX IDX_PARAM_NOV_2 ON PARAMETRO_NOVEDAD (FORMATO_CAMBIO_HORARIO);
CREATE INDEX IDX_PARAM_NOV_3 ON PARAMETRO_NOVEDAD (FORMATO_AUTORIZACION);
CREATE INDEX IDX_PARAM_NOV_4 ON PARAMETRO_NOVEDAD (FORMATO_FERIADO);

CREATE INDEX IDX_PARAMETRO_WORKFLOW_1 ON PARAMETRO_WORKFLOW (ID_EMPRESA);
CREATE INDEX IDX_PARAMETRO_WORKFLOW_2 ON PARAMETRO_WORKFLOW (ID_USUARIO_SUPERVISOR);

CREATE INDEX IDX_PERFIL_2 ON PERFIL (USUARIO_ALTA);
CREATE INDEX IDX_PERFIL_3 ON PERFIL (USUARIO_MODIF);

CREATE INDEX IDX_PERFIL_ACCESO_3 ON PERFIL_ACCESO (USUARIO_ALTA);
CREATE INDEX IDX_PERFIL_ACCESO_4 ON PERFIL_ACCESO (USUARIO_MODIF);

CREATE INDEX IDX_PERIODO_1 ON PERIODO (USUARIO_ALTA);
CREATE INDEX IDX_PERIODO_2 ON PERIODO (USUARIO_MODIF);
CREATE INDEX IDX_PERIODO_3 ON PERIODO (ID_EMPRESA);
CREATE INDEX IDX_PERIODO_4 ON PERIODO (ID_JORNADA);

CREATE INDEX IDX_PERSONA_1 ON PERSONA (ID_EMPRESA);
CREATE INDEX IDX_PERSONA_2 ON PERSONA (ID_TIPO_PERSONA);
CREATE INDEX IDX_PERSONA_3 ON PERSONA (USUARIO_ALTA);
CREATE INDEX IDX_PERSONA_4 ON PERSONA (USUARIO_MODIF);
CREATE INDEX IDX_PERSONA_5 ON PERSONA (ID_PERFIL_ACCESO);
CREATE INDEX IDX_PERSONA_6 ON PERSONA (ID_SUPERIOR_INMEDIATO);
CREATE INDEX IDX_PERSONA_7 ON PERSONA (LEGAJO);
CREATE INDEX IDX_PERSONA_8 ON PERSONA (ID_TIPO_DOCUMENTO);

CREATE INDEX IDX_PERSONA_HORARIO_1 ON PERSONA_HORARIO (ID_PERSONA);
CREATE INDEX IDX_PERSONA_HORARIO_2 ON PERSONA_HORARIO (ID_HORARIO_CONTROL_PERSONAL);
CREATE INDEX IDX_PERSONA_HORARIO_3 ON PERSONA_HORARIO (USUARIO_ALTA);
CREATE INDEX IDX_PERSONA_HORARIO_4 ON PERSONA_HORARIO (USUARIO_MODIF);
CREATE INDEX IDX_PERSONA_HORARIO_5 ON PERSONA_HORARIO (ID_TIPO_AUTORIZACION);

CREATE INDEX IDX_PRO_FORMATO_CONCEPTO_3 ON PRO_FORMATO_CONCEPTO (ID_EMPRESA);

CREATE INDEX IDX_PRO_HOR_CONT_PER_1 ON PRO_HOR_CON_PER (ID_EMPRESA);
CREATE INDEX IDX_PRO_HOR_CONT_PER_2 ON PRO_HOR_CON_PER (ID_TIPO_HORARIO);

CREATE INDEX IDX_PRO_JORNADA_1 ON PRO_JORNADA (ID_EMPRESA);

CREATE INDEX IDX_PRO_JORNADA_CALENDARIO_1 ON PRO_JORNADA_CALENDARIO (ID_PERSONA_HORARIO);

CREATE INDEX IDX_PRO_JUSTIFICACION_6 ON PRO_JUSTIFICACION (ID_EMPRESA);

CREATE INDEX IDX_PRO_NOVEDAD_4 ON PRO_NOVEDAD (ID_EMPRESA);
CREATE INDEX IDX_PRO_NOVEDAD_5 ON PRO_NOVEDAD (ID_TIPO_NOVEDAD);
CREATE INDEX IDX_PRO_NOVEDAD_8 ON PRO_NOVEDAD (ID_TIPO_JUSTIFICACION);
CREATE INDEX IDX_PRO_NOVEDAD_9 ON PRO_NOVEDAD (ID_TIPO_AUTORIZACION);
CREATE INDEX IDX_PRO_NOVEDAD_10 ON PRO_NOVEDAD (ID_FORMATO_CONCEPTO);

CREATE INDEX IDX_PRO_PERIODO_1 ON PRO_PERIODO (ID_EMPRESA);
 
CREATE INDEX IDX_PRO_PERSONA_HORARIO_1 ON PRO_PERSONA_HORARIO (ID_PERSONA);
CREATE INDEX IDX_PRO_PERSONA_HORARIO_2 ON PRO_PERSONA_HORARIO (ID_TIPO_AUTORIZACION);

CREATE INDEX IDX_RELOJ_4 ON RELOJ (ID_AGENTE);
CREATE INDEX IDX_RELOJ_5 ON RELOJ (USUARIO_MODIF);
CREATE INDEX IDX_RELOJ_6 ON RELOJ (USUARIO_ALTA);
CREATE INDEX IDX_RELOJ_7 ON RELOJ (ID_TIPO_COMUNICACION);
CREATE INDEX IDX_RELOJ_9 ON RELOJ (ID_MODO_TARJETA);
CREATE INDEX IDX_RELOJ_10 ON RELOJ (ANDROID_ID);
CREATE INDEX IDX_RELOJ_11 ON RELOJ (IOS_ID);

CREATE INDEX IDX_ACCESO_RELOJ_1 ON REL_ACCESO_RELOJ (ID_ACCESO);
CREATE INDEX IDX_ACCESO_RELOJ_2 ON REL_ACCESO_RELOJ (ID_RELOJ);

CREATE INDEX IDX_REL_CATEGORIA_CONCEPTO_1 ON REL_CATEGORIA_CONCEPTO (ID_CATEGORIA);
CREATE INDEX IDX_REL_CATEGORIA_CONCEPTO_2 ON REL_CATEGORIA_CONCEPTO (ID_CONCEPTO);

CREATE INDEX IDX_REL_CONVENIO_PERSONA_1 ON REL_CONVENIO_PERSONA (ID_CONVENIO);
CREATE INDEX IDX_REL_CONVENIO_PERSONA_2 ON REL_CONVENIO_PERSONA (ID_PERSONA);

CREATE INDEX IDX_REL_CONVERSION_CONVENIO_1 ON REL_CONVERSION_CONVENIO (ID_CONVERSION);
CREATE INDEX IDX_REL_CONVERSION_CONVENIO_2 ON REL_CONVERSION_CONVENIO (ID_CONVENIO);

CREATE INDEX IDX_REL_EMPRESA_MODULO_1 ON REL_EMPRESA_MODULO (ID_EMPRESA);
CREATE INDEX IDX_REL_EMPRESA_MODULO_2 ON REL_EMPRESA_MODULO (ID_MODULO);

CREATE INDEX IDX_REL_GRUPO_PERSONA_1 ON REL_GRUPO_PERSONA (ID_GRUPO);
CREATE INDEX IDX_REL_GRUPO_PERSONA_2 ON REL_GRUPO_PERSONA (ID_PERSONA);

CREATE INDEX IDX_REL_GRUPO_USUARIO_1 ON REL_GRUPO_USUARIO (ID_GRUPO);
CREATE INDEX IDX_REL_GRUPO_USUARIO_2 ON REL_GRUPO_USUARIO (ID_USUARIO);

CREATE INDEX IDX_REL_RELOJ_USUARIO_1 ON REL_RELOJ_USUARIO (ID_RELOJ);
CREATE INDEX IDX_REL_RELOJ_USUARIO_2 ON REL_RELOJ_USUARIO (ID_USUARIO);

CREATE INDEX IDX_REL_JOR_CONC_FOR_1 ON REL_JORNADA_CONCEPTO_FORMATO (ID_JORNADA);
CREATE INDEX IDX_REL_JOR_CONC_FOR_2 ON REL_JORNADA_CONCEPTO_FORMATO (ID_CONCEPTO);
CREATE INDEX IDX_REL_JOR_CONC_FOR_3 ON REL_JORNADA_CONCEPTO_FORMATO (ID_FORMATO_CONCEPTO);

CREATE INDEX IDX_REL_JUSTIFICACION_TIPO_1 ON REL_JUSTIFICACION_TIPO (ID_JUSTIFICACION);
CREATE INDEX IDX_REL_JUSTIFICACION_TIPO_2 ON REL_JUSTIFICACION_TIPO (ID_TIPO_JUSTIFICACION);

CREATE INDEX IDX_REL_NOTIFICACION_MONITOR_1 ON REL_NOTIFICACION_MONITOR (ID_EMPRESA);
CREATE INDEX IDX_REL_NOTIFICACION_MONITOR_2 ON REL_NOTIFICACION_MONITOR (ID_RELOJ);
CREATE INDEX IDX_REL_NOTIFICACION_MONITOR_3 ON REL_NOTIFICACION_MONITOR (ID_PERSONA);
CREATE INDEX IDX_REL_NOTIFICACION_MONITOR_4 ON REL_NOTIFICACION_MONITOR (ID_TIPO_PERSONA);

CREATE INDEX IDX_REL_NOVEDAD_GRUPO_1 ON REL_NOVEDAD_GRUPO (ID_NOVEDAD);
CREATE INDEX IDX_REL_NOVEDAD_GRUPO_2 ON REL_NOVEDAD_GRUPO (ID_GRUPO);

CREATE INDEX IDX_REL_NOVEDAD_PERSONA_1 ON REL_NOVEDAD_PERSONA (ID_NOVEDAD);
CREATE INDEX IDX_REL_NOVEDAD_PERSONA_2 ON REL_NOVEDAD_PERSONA (ID_PERSONA);

CREATE INDEX IDX_REL_OPCION_OPERACION_3 ON REL_OPCION_OPERACION (ID_OPCION);
CREATE INDEX IDX_REL_OPCION_OPERACION_2 ON REL_OPCION_OPERACION (ID_OPERACION);

CREATE INDEX IDX_REL_PERFIL_OPC_OPE_1 ON REL_PERFIL_OPCION_OPERACION (ID_REL_OPC_OPE);
CREATE INDEX IDX_REL_PERFIL_OPC_OPE_2 ON REL_PERFIL_OPCION_OPERACION (ID_PERFIL);

CREATE INDEX IDX_REL_PERFIL_RELOJ_HORARIO_1 ON REL_PERFIL_RELOJ_HORARIO (ID_PERFIL_ACCESO);
CREATE INDEX IDX_REL_PERFIL_RELOJ_HORARIO_2 ON REL_PERFIL_RELOJ_HORARIO (ID_RELOJ);
CREATE INDEX IDX_REL_PERFIL_RELOJ_HORARIO_3 ON REL_PERFIL_RELOJ_HORARIO (ID_HORARIO);

CREATE INDEX IDX_REL_PERIODO_CONCEPTO_1 ON REL_PERIODO_CONCEPTO (ID_CONCEPTO);
CREATE INDEX IDX_REL_PERIODO_CONCEPTO_2 ON REL_PERIODO_CONCEPTO (ID_FORMATO_CONCEPTO);
CREATE INDEX IDX_REL_PERIODO_CONCEPTO_3 ON REL_PERIODO_CONCEPTO (ID_PERIODO);

CREATE INDEX IDX_REL_PERSONA_CATEGORIA_1 ON REL_PERSONA_CATEGORIA (ID_PERSONA);
CREATE INDEX IDX_REL_PERSONA_CATEGORIA_2 ON REL_PERSONA_CATEGORIA (ID_CATEGORIA);

CREATE INDEX IDX_REL_PER_REL_1 ON REL_PERSONA_RELOJ (ID_RELOJ);
CREATE INDEX IDX_REL_PER_REL_2 ON REL_PERSONA_RELOJ (ID_PERSONA);

CREATE INDEX IDX_REL_RELOJ_MONITOR_1 ON REL_RELOJ_MONITOR (ID_CONFIGURACION_MONITOR);
CREATE INDEX IDX_REL_RELOJ_MONITOR_2 ON REL_RELOJ_MONITOR (ID_RELOJ);

CREATE INDEX IDX_REL_RELOJ_ZONA_APB_1 ON REL_RELOJ_ZONA_APB (ID_RELOJ);
CREATE INDEX IDX_REL_RELOJ_ZONA_APB_2 ON REL_RELOJ_ZONA_APB (ID_ZONA_APB);

CREATE INDEX IDX_REL_VENC_PER_2 ON REL_VENCIMIENTO_PERSONA (ID_VENCIMIENTO);

CREATE INDEX IDX_RET_CALENDARIO_2 ON RETICULA_CALENDARIO (ID_JORNADA);

CREATE INDEX IDX_SUBMENU_1 ON SUBMENU (ID_MODULO);

CREATE INDEX IDX_TIPO_JUSTIFICACION_1 ON TIPO_JUSTIFICACION (ID_CONCEPTO_HORAS);
CREATE INDEX IDX_TIPO_JUSTIFICACION_2 ON TIPO_JUSTIFICACION (ID_CONCEPTO_VECES);

CREATE INDEX IDX_USUARIO_3 ON USUARIO (ID_IDIOMA);
CREATE INDEX IDX_USUARIO_4 ON USUARIO (ID_PERFIL);
CREATE INDEX IDX_USUARIO_5 ON USUARIO (ID_SUPERIOR_INMEDIATO);
CREATE INDEX IDX_USUARIO_TAG ON USUARIO (ID_TIPO_ASIGNACION_GRUPO);
CREATE INDEX IDX_USUARIO_TAR ON USUARIO (ID_TIPO_ASIGNACION_RELOJ);

CREATE INDEX IDX_ZONA_APB_2 ON ZONA_APB (USUARIO_ALTA);
CREATE INDEX IDX_ZONA_APB_3 ON ZONA_APB (USUARIO_MODIF);

CREATE INDEX IDX_PROCESO_EMPRESA ON PROCESO (ID_EMPRESA);
CREATE INDEX IDX_PROCESO_ESTADO_PROCESO ON PROCESO (ID_ESTADO_PROCESO);
CREATE INDEX IDX_PROCESO_TIPO_PROCESO ON PROCESO (ID_TIPO_PROCESO);
CREATE INDEX IDX_PROCESO_USUARIO ON PROCESO (ID_USUARIO);

CREATE INDEX IDX_PROCESO_APLICA ON PROCESO (ID_APLICA);
CREATE INDEX IDX_PROCESO_GRUPO1 ON PROCESO_GRUPO (ID_PROCESO);
CREATE INDEX IDX_PROCESO_PERSONA1 ON PROCESO_PERSONA (ID_PROCESO);
CREATE INDEX IDX_PROCESO_PERSONA2 ON PROCESO_PERSONA (ID_PERSONA);


CREATE INDEX IDX_REL_F_CNCPT_CNVRSN_DES_1 ON REL_F_CONCEPTO_CONVERSION_DES (ID_FORMATO_CONCEPTO);
CREATE INDEX IDX_REL_F_CNCPT_CNVRSN_DES_2 ON REL_F_CONCEPTO_CONVERSION_DES (ID_CONVERSION);


CREATE INDEX IDX_REL_F_CNCPT_CNVRSN_ORI_1 ON REL_F_CONCEPTO_CONVERSION_ORI (ID_FORMATO_CONCEPTO);
CREATE INDEX IDX_REL_F_CNCPT_CNVRSN_ORI_2 ON REL_F_CONCEPTO_CONVERSION_ORI (ID_CONVERSION);

CREATE INDEX IDX_FICH_PROC_REGISTRO ON FICHADA_PROCESO (ID_TIPO_REGISTRO);
CREATE INDEX IDX_CONC_PROC_REGISTRO ON CONCEPTO_PROCESO (ID_TIPO_REGISTRO);

CREATE INDEX IDX_PRO_JOR_IND1 ON PRO_JORNADA_INDIV (ID_PRO_JORNADA);
CREATE INDEX IDX_PRO_JOR_IND2 ON PRO_JORNADA_INDIV (ID_TIPO_REGISTRO);
CREATE INDEX IDX_PRO_JOR_IND3 ON PRO_JORNADA_INDIV (ID_FECHA_JORNADA);

CREATE INDEX IDX_PRO_PERIODO_INDIV1 ON PRO_PERIODO_INDIV (ID_PRO_JORNADA_INDIV);
CREATE INDEX IDX_PER_REGISTRO ON PRO_PERIODO_INDIV (ID_TIPO_REGISTRO);

CREATE INDEX IDX_PRO_REL_JOR_CON_FOR_INDIV1 ON PRO_REL_JOR_CON_FOR_INDIV (ID_PRO_JORNADA_INDIV);
CREATE INDEX IDX_REL_JOR_CON_REGISTRO ON PRO_REL_JOR_CON_FOR_INDIV (ID_TIPO_REGISTRO);

CREATE INDEX IDX_PRO_REL_PER_CON_INDIV1 ON PRO_REL_PER_CON_INDIV (ID_PRO_PERIODO_INDIV);
CREATE INDEX IDX_REL_PER_CON_REGISTRO ON PRO_REL_PER_CON_INDIV (ID_TIPO_REGISTRO);

CREATE INDEX IDX_ANOR_CALC_REGISTRO ON ANORMALIDAD_CALCULO  (ID_TIPO_REGISTRO);
CREATE INDEX IDX_ANOR_CALC_JUSTIFICACION ON ANORMALIDAD_CALCULO (ID_JUSTIFICACION);
CREATE INDEX IDX_ANOR_CALC_JUSTIF ON ANORMALIDAD_CALCULO (ID_TIPO_JUSTIFICACION);

CREATE INDEX IDX_PRO_CATEGORIA_3 ON PRO_CATEGORIA (ID_EMPRESA);

CREATE INDEX IDX_PRO_CONVENIO_3 ON PRO_CONVENIO (ID_EMPRESA);

CREATE INDEX IDX_PRO_REL_GRUPO_PERSONA_1 ON PRO_REL_GRUPO_PERSONA (ID_PERSONA);

CREATE INDEX IDX_PRO_REL_PER_CAT_1 ON PRO_REL_PERSONA_CATEGORIA (ID_PERSONA);

CREATE INDEX IDX_PRO_REL_CONVENIO_PERSONA_1 ON PRO_REL_CONVENIO_PERSONA (ID_PERSONA);

CREATE INDEX IDX_PRO_REL_CAT_CONC_1 ON PRO_REL_CATEGORIA_CONCEPTO (ID_CONCEPTO);

CREATE INDEX IDX_PRO_FERIADO_3 ON PRO_FERIADO (ID_EMPRESA);

CREATE INDEX IDX_PROCESO_PERSONA_JORNADA1 ON PROCESO_PERSONA_JORNADA (ID_PERSONA);
CREATE INDEX IDX_PROCESO_PERSONA_JORNADA2 ON PROCESO_PERSONA_JORNADA (ID_PROCESO);
CREATE INDEX IDX_PROCESO_PERSONA_JORNADA3 ON PROCESO_PERSONA_JORNADA (ID_FECHA_JORNADA);

CREATE INDEX IDX_PROC_PRO_CATEGORIA1 ON PROCESO_PRO_CATEGORIA (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_CATEGORIA2 ON PROCESO_PRO_CATEGORIA (ID_PRO_CATEGORIA);

CREATE INDEX IDX_PROC_PRO_CONVENIO1 ON PROCESO_PRO_CONVENIO (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_CONVENIO2 ON PROCESO_PRO_CONVENIO (ID_PRO_CONVENIO);

CREATE INDEX IDX_PROC_PRO_CONVERSION1 ON PROCESO_PRO_CONVERSION (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_CONVERSION2 ON PROCESO_PRO_CONVERSION (ID_PRO_CONVERSION);

CREATE INDEX IDX_PROC_PRO_EXT_PER_FLEX1 ON PROCESO_PRO_EXT_PER_FLEX (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_EXT_PER_FLEX2 ON PROCESO_PRO_EXT_PER_FLEX (ID_PRO_EXT_PER_FLEX);

CREATE INDEX IDX_PROC_PRO_FERIADO1 ON PROCESO_PRO_FERIADO (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_FERIADO2 ON PROCESO_PRO_FERIADO (ID_PRO_FERIADO);

CREATE INDEX IDX_PROC_PRO_FOR_CONC1 ON PROCESO_PRO_FORMATO_CONCEPTO (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_FOR_CONC2 ON PROCESO_PRO_FORMATO_CONCEPTO (ID_PRO_FORMATO_CONCEPTO);

CREATE INDEX IDX_PROC_PRO_GRUPO1 ON PROCESO_PRO_GRUPO (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_GRUPO2 ON PROCESO_PRO_GRUPO (ID_PRO_GRUPO);

CREATE INDEX IDX_PROC_PRO_HOR_CON_PER1 ON PROCESO_PRO_HOR_CON_PER (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_HOR_CON_PER2 ON PROCESO_PRO_HOR_CON_PER (ID_PRO_HOR_CON_PER);

CREATE INDEX IDX_PROC_PRO_JORNADA1 ON PROCESO_PRO_JORNADA (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_JORNADA2 ON PROCESO_PRO_JORNADA (ID_PRO_JORNADA);

CREATE INDEX IDX_PROC_PRO_JOR_CAL1 ON PROCESO_PRO_JORNADA_CALENDARIO (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_JOR_CAL2 ON PROCESO_PRO_JORNADA_CALENDARIO (ID_PRO_JORNADA_CALENDARIO);

CREATE INDEX IDX_PROC_PRO_JUSTIFICACION1 ON PROCESO_PRO_JUSTIFICACION (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_JUSTIFICACION2 ON PROCESO_PRO_JUSTIFICACION (ID_PRO_JUSTIFICACION);

CREATE INDEX IDX_PROC_PRO_NOVEDAD1 ON PROCESO_PRO_NOVEDAD (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_NOVEDAD2 ON PROCESO_PRO_NOVEDAD (ID_PRO_NOVEDAD);

CREATE INDEX IDX_PROC_PRO_PERIODO1 ON PROCESO_PRO_PERIODO (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_PERIODO2 ON PROCESO_PRO_PERIODO (ID_PRO_PERIODO);

CREATE INDEX IDX_PROC_PRO_PERS_HOR1 ON PROCESO_PRO_PERSONA_HORARIO (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_PERS_HOR2 ON PROCESO_PRO_PERSONA_HORARIO (ID_PRO_PERSONA_HORARIO);

CREATE INDEX IDX_PROC_PRO_REL_CAT_CONCEP2 ON PROCESO_PRO_REL_CAT_CONCEPTO (ID_PRO_REL_CATEGORIA_CONCEPTO);
CREATE INDEX IDX_PROC_PRO_REL_CAT_CONCEP1 ON PROCESO_PRO_REL_CAT_CONCEPTO (ID_PROCESO);

CREATE INDEX IDX_PROC_PRO_REL_CONV_PERS1 ON PROCESO_PRO_REL_CONV_PERS (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_REL_CONV_PERS2 ON PROCESO_PRO_REL_CONV_PERS (ID_PRO_REL_CONVENIO_PERSONA);

CREATE INDEX IDX_PROC_PRO_REL_CVER_CVENIO1 ON PROCESO_PRO_REL_CVER_CVENIO (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_REL_CVER_CVENIO2 ON PROCESO_PRO_REL_CVER_CVENIO (ID_PRO_REL_CONVERSION_CONVENIO);
  
CREATE INDEX IDX_PROC_PRO_REL_GRP_PRSN1 ON PROCESO_PRO_REL_GRUPO_PERSONA (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_REL_GRP_PRSN2 ON PROCESO_PRO_REL_GRUPO_PERSONA (ID_PRO_REL_GRUPO_PERSONA);
  
CREATE INDEX IDX_PROC_PRO_REL_JOR_CON_FOR1 ON PROCESO_PRO_REL_JOR_CON_FOR (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_REL_JOR_CON_FOR2 ON PROCESO_PRO_REL_JOR_CON_FOR (ID_PRO_REL_JOR_CON_FOR);

CREATE INDEX IDX_PROC_PRO_REL_JUSTIF_TIPO1 ON PROCESO_PRO_REL_JUSTIF_TIPO (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_REL_JUSTIF_TIPO2 ON PROCESO_PRO_REL_JUSTIF_TIPO (ID_PRO_REL_JUSTIFICACION_TIPO);
  
CREATE INDEX IDX_PROC_PRO_REL_NVDD_GRP1 ON PROCESO_PRO_REL_NOVEDAD_GRUPO (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_REL_NVDD_GRP2 ON PROCESO_PRO_REL_NOVEDAD_GRUPO (ID_PRO_REL_NOVEDAD_GRUPO);
  
CREATE INDEX IDX_PROC_PRO_REL_PERI_CONC1 ON PROCESO_PRO_REL_PERI_CONC (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_REL_PERI_CONC2 ON PROCESO_PRO_REL_PERI_CONC (ID_PRO_REL_PERIODO_CONCEPTO);

CREATE INDEX IDX_PROC_PRO_REL_PERS_CATEG1 ON PROCESO_PRO_REL_PERS_CATEG (ID_PROCESO);
CREATE INDEX IDX_PROC_PRO_REL_PERS_CATEG2 ON PROCESO_PRO_REL_PERS_CATEG (ID_PRO_REL_PERSONA_CATEGORIA);

CREATE INDEX IDX_PRO_EXT_PER_FLEX_INDIV1 ON PRO_EXT_PER_FLEX_INDIV (ID_PRO_PERIODO_INDIV);
CREATE INDEX IDX_PRO_EXT_PER_FLEX_INDIV2 ON PRO_EXT_PER_FLEX_INDIV (ID_TIPO_REGISTRO);

CREATE INDEX IDX_REFSUBPERIODO_PROCESO ON REFERENCIA_SUB_PERIODO (ID_PROCESO);

CREATE INDEX IDX_ESTADO_REG_REG ON REGISTRACION (ID_ESTADO_REGISTRACION);

CREATE INDEX IDX_DEPURAR_LOG_1 ON DEPURAR_LOG (ID_EMPRESA);

CREATE INDEX IDX_MENU_EMPRESA ON MENU (ID_EMPRESA);
CREATE INDEX IDX_LISTA_PRECIO_EMPRESA ON LISTA_PRECIO (ID_EMPRESA);
CREATE INDEX IDX_REL_LP_MENU1 ON REL_LISTA_PRECIO_MENU (ID_LISTA_PRECIO);
CREATE INDEX IDX_REL_LP_MENU2 ON REL_LISTA_PRECIO_MENU (ID_MENU);
CREATE INDEX IDX_PARAMETRO_COMEDOR_EMPRESA ON PARAMETRO_COMEDOR (ID_EMPRESA);
CREATE INDEX IDX_PARAMETRO_COMEDOR_LP ON PARAMETRO_COMEDOR (ID_LISTA_PRECIO);
CREATE INDEX IDX_PERSONA_COMEDOR_PERSONA ON PERSONA_COMEDOR (ID_PERSONA);
CREATE INDEX IDX_MENU_USER_ALTA ON MENU (USUARIO_ALTA);
CREATE INDEX IDX_MENU_USER_MODIF ON MENU (USUARIO_MODIF);
CREATE INDEX IDX_LISTA_PRECIO_USER_ALTA ON LISTA_PRECIO (USUARIO_ALTA);
CREATE INDEX IDX_LISTA_PRECIO_USER_MODIF ON LISTA_PRECIO (USUARIO_MODIF);
CREATE INDEX IDX_PER_COMEDOR_USER_ALTA ON PERSONA_COMEDOR (USUARIO_ALTA);
CREATE INDEX IDX_PER_COMEDOR_USER_MODIF ON PERSONA_COMEDOR (USUARIO_MODIF);

CREATE INDEX IDX_AUTOR_HE_1 ON AUTORIZACION_HORAS_EXTRAS (ID_FORMATO_CONCEPTO_ORIGEN);
CREATE INDEX IDX_AUTOR_HE_2 ON AUTORIZACION_HORAS_EXTRAS (ID_FORMATO_CONCEPTO_DESTINO);
CREATE INDEX IDX_AUTOR_HE_3 ON AUTORIZACION_HORAS_EXTRAS (ID_EMPRESA);
CREATE INDEX IDX_AUTOR_HE_4 ON AUTORIZACION_HORAS_EXTRAS (USUARIO_ALTA);

CREATE INDEX IDX_AUTOR_HE_PE_1 ON AUTORIZACION_HE_PER (ID_AUTORIZACION_HORAS_EXTRAS);
CREATE INDEX IDX_AUTOR_HE_PE_2 ON AUTORIZACION_HE_PER (ID_PERSONA);
CREATE INDEX IDX_AUTOR_HE_PE_3 ON AUTORIZACION_HE_PER (ID_FECHA_JORNADA);

CREATE INDEX IDX_SINCRONIZACION_FORMATO ON SINCRONIZACION_PERSONA (ID_FORMATO_SINCRONIZACION);
CREATE INDEX IDX_SINCRONIZACION_EMPRESA ON SINCRONIZACION_PERSONA (ID_EMPRESA);
CREATE INDEX IDX_SINCRONIZACION_EJECUCION ON SINCRONIZACION_PERSONA (ID_TIPO_EJEC_SINC);

CREATE INDEX IDX_CONSUMO_MENU_MENU ON CONSUMO_MENU (ID_MENU);
CREATE INDEX IDX_CONSUMO_MENU_CONSUMO ON CONSUMO_MENU (ID_CONSUMO);

CREATE INDEX IDX_CONSUMO_PERSONA_PERSONA ON CONSUMO_PERSONA (ID_PERSONA);

CREATE INDEX IDX_REL_FC_GRP1 ON REL_FORMATO_CONCEPTO_GRUPO (ID_FORMATO_CONCEPTO);
CREATE INDEX IDX_REL_FC_GRP2 ON REL_FORMATO_CONCEPTO_GRUPO (ID_GRUPO);

CREATE INDEX IDX_SUB_PERIODO_DETALLE_RSP ON SUB_PERIODO_DETALLE (ID_REFERENCIA_SUB_PERIODO);

CREATE INDEX IDX_PRO_CONVERSION_EMPRESA ON PRO_CONVERSION (ID_EMPRESA);

CREATE INDEX IDX_PRO_JORNADA_INDIV_PERSONA ON PRO_JORNADA_INDIV (ID_PERSONA);

CREATE INDEX IDX_PRO_REL_JOR_CON_FOR_CONC ON PRO_REL_JOR_CON_FOR (ID_CONCEPTO);

CREATE INDEX IDX_PRO_REL_JOR_CON_FOR_IND_CP ON PRO_REL_JOR_CON_FOR_INDIV (ID_CONCEPTO);

CREATE INDEX IDX_PRO_REL_JUSTIF_TIPO_TJ ON PRO_REL_JUSTIFICACION_TIPO (ID_TIPO_JUSTIFICACION);

CREATE INDEX IDX_PRO_REL_NOV_PER_PER ON PRO_REL_NOVEDAD_PERSONA (ID_PERSONA);

CREATE INDEX IDX_PRO_REL_PER_CONC_CP ON PRO_REL_PERIODO_CONCEPTO (ID_CONCEPTO);

CREATE INDEX IDX_PRO_REL_PER_CON_IN_CP ON PRO_REL_PER_CON_INDIV (ID_CONCEPTO);

-- LOG AGENTE
CREATE INDEX IDX_LOG_AGENTE_AGENTE ON LOG_AGENTE (ID_AGENTE);
CREATE INDEX IDX_LOG_AGENTE_FECHA ON LOG_AGENTE (FECHA);

-- INDICES PARA BACKUP
CREATE INDEX IDX_PRO_NOVEDAD_CA ON PRO_NOVEDAD (CASO_AUTORIZACION);

CREATE INDEX IDX_PRO_CATEGORIA_FB ON PRO_CATEGORIA (FECHA_BAJA);
CREATE INDEX IDX_PRO_CONVENIO_FB ON PRO_CONVENIO (FECHA_BAJA);
CREATE INDEX IDX_PRO_CONVERSION_FB ON PRO_CONVERSION (FECHA_BAJA);
CREATE INDEX IDX_PRO_EXT_PER_FLEX_FB ON PRO_EXT_PER_FLEX (FECHA_BAJA);
CREATE INDEX IDX_PRO_FERIADO_FB ON PRO_FERIADO (FECHA_BAJA);
CREATE INDEX IDX_PRO_FORMATO_CONCEPTO_FB ON PRO_FORMATO_CONCEPTO (FECHA_BAJA);
CREATE INDEX IDX_PRO_GRUPO_FB ON PRO_GRUPO (FECHA_BAJA);
CREATE INDEX IDX_PRO_HOR_CON_PER_FB ON PRO_HOR_CON_PER (FECHA_BAJA);
CREATE INDEX IDX_PRO_JORNADA_FB ON PRO_JORNADA (FECHA_BAJA);
CREATE INDEX IDX_PRO_JOR_CAL_FB ON PRO_JORNADA_CALENDARIO (FECHA_BAJA);
CREATE INDEX IDX_PRO_JUSTIFICACION_FB ON PRO_JUSTIFICACION (FECHA_BAJA);
CREATE INDEX IDX_PRO_NOVEDAD_FB ON PRO_NOVEDAD (FECHA_BAJA);
CREATE INDEX IDX_PRO_PERIODO_FB ON PRO_PERIODO (FECHA_BAJA);
CREATE INDEX IDX_PRO_PERSONA_HORARIO_FB ON PRO_PERSONA_HORARIO (FECHA_BAJA);
CREATE INDEX IDX_PRO_REL_CAT_CON_FB ON PRO_REL_CATEGORIA_CONCEPTO (FECHA_BAJA);
CREATE INDEX IDX_PRO_REL_CONV_PER_FB ON PRO_REL_CONVENIO_PERSONA (FECHA_BAJA);
CREATE INDEX IDX_PRO_REL_CONV_CONV_FB ON PRO_REL_CONVERSION_CONVENIO (FECHA_BAJA);
CREATE INDEX IDX_PRO_REL_FCC_DES_FB ON PRO_REL_F_CONC_CONV_DES (FECHA_BAJA);
CREATE INDEX IDX_PRO_REL_FCC_ORI_FB ON PRO_REL_F_CONC_CONV_ORI (FECHA_BAJA);
CREATE INDEX IDX_PRO_REL_GRUPO_PERSONA_FB ON PRO_REL_GRUPO_PERSONA (FECHA_BAJA);
CREATE INDEX IDX_PRO_REL_JOR_CON_FOR_FB ON PRO_REL_JOR_CON_FOR (FECHA_BAJA);
CREATE INDEX IDX_PRO_REL_JUS_TIPO_FB ON PRO_REL_JUSTIFICACION_TIPO (FECHA_BAJA);
CREATE INDEX IDX_PRO_REL_NOV_GRP_FB ON PRO_REL_NOVEDAD_GRUPO (FECHA_BAJA);
CREATE INDEX IDX_PRO_REL_NOV_PER_FB ON PRO_REL_NOVEDAD_PERSONA (FECHA_BAJA);
CREATE INDEX IDX_PRO_REL_PER_CON_FB ON PRO_REL_PERIODO_CONCEPTO (FECHA_BAJA);
CREATE INDEX IDX_PRO_REL_PER_CAT_FB ON PRO_REL_PERSONA_CATEGORIA (FECHA_BAJA);
CREATE INDEX IDX_PRO_RETICULA_CALENDARIO_FB ON PRO_RETICULA_CALENDARIO (FECHA_BAJA);

CREATE INDEX IDX_PRO_CATEGORIA_FM ON PRO_CATEGORIA (FECHA_MODIF);
CREATE INDEX IDX_PRO_CONVENIO_FM ON PRO_CONVENIO (FECHA_MODIF);
CREATE INDEX IDX_PRO_CONVERSION_FM ON PRO_CONVERSION (FECHA_MODIF);
CREATE INDEX IDX_PRO_EXT_PER_FLEX_FM ON PRO_EXT_PER_FLEX (FECHA_MODIF);
CREATE INDEX IDX_PRO_FERIADO_FM ON PRO_FERIADO (FECHA_MODIF);
CREATE INDEX IDX_PRO_FORMATO_CONCEPTO_FM ON PRO_FORMATO_CONCEPTO (FECHA_MODIF);
CREATE INDEX IDX_PRO_GRUPO_FM ON PRO_GRUPO (FECHA_MODIF);
CREATE INDEX IDX_PRO_HOR_CON_PER_FM ON PRO_HOR_CON_PER (FECHA_MODIF);
CREATE INDEX IDX_PRO_JORNADA_FM ON PRO_JORNADA (FECHA_MODIF);
CREATE INDEX IDX_PRO_JUSTIFICACION_FM ON PRO_JUSTIFICACION (FECHA_MODIF);
CREATE INDEX IDX_PRO_NOVEDAD_FM ON PRO_NOVEDAD (FECHA_MODIF);
CREATE INDEX IDX_PRO_PERIODO_FM ON PRO_PERIODO (FECHA_MODIF);
CREATE INDEX IDX_PRO_PERSONA_HORARIO_FM ON PRO_PERSONA_HORARIO (FECHA_MODIF);
CREATE INDEX IDX_PRO_RETICULA_CALENDARIO_FM ON PRO_RETICULA_CALENDARIO (FECHA_MODIF);

CREATE INDEX IDX_CATEGORIA_FB ON CATEGORIA (FECHA_BAJA);
CREATE INDEX IDX_CONVENIO_FB ON CONVENIO (FECHA_BAJA);
CREATE INDEX IDX_CONVERSION_FB ON CONVERSION (FECHA_BAJA);
CREATE INDEX IDX_EXT_PER_FLEX_FB ON extencion_periodo_flexible (FECHA_BAJA);
CREATE INDEX IDX_FERIADO_FB ON FERIADO (FECHA_BAJA);
CREATE INDEX IDX_FORMATO_CONCEPTO_FB ON FORMATO_CONCEPTO (FECHA_BAJA);
CREATE INDEX IDX_GRUPO_FB ON GRUPO (FECHA_BAJA);
CREATE INDEX IDX_HOR_CON_PER_FB ON HORARIO_CONTROL_PERSONAL (FECHA_BAJA);
CREATE INDEX IDX_JORNADA_FB ON JORNADA (FECHA_BAJA);
CREATE INDEX IDX_JUSTIFICACION_FB ON JUSTIFICACION (FECHA_BAJA);
CREATE INDEX IDX_NOVEDAD_FB ON NOVEDAD (FECHA_BAJA);
CREATE INDEX IDX_PERIODO_FB ON PERIODO (FECHA_BAJA);
CREATE INDEX IDX_PERSONA_HORARIO_FB ON PERSONA_HORARIO (FECHA_BAJA);
CREATE INDEX IDX_RETICULA_CALENDARIO_FB ON RETICULA_CALENDARIO (FECHA_BAJA);

CREATE INDEX IDX_CATEGORIA_FM ON CATEGORIA (FECHA_MODIF);
CREATE INDEX IDX_CONVENIO_FM ON CONVENIO (FECHA_MODIF);
CREATE INDEX IDX_CONVERSION_FM ON CONVERSION (FECHA_MODIF);
CREATE INDEX IDX_EXT_PER_FLEX_FM ON EXTENCION_PERIODO_FLEXIBLE (FECHA_MODIF);
CREATE INDEX IDX_FERIADO_FM ON FERIADO (FECHA_MODIF);
CREATE INDEX IDX_FORMATO_CONCEPTO_FM ON FORMATO_CONCEPTO (FECHA_MODIF);
CREATE INDEX IDX_GRUPO_FM ON GRUPO (FECHA_MODIF);
CREATE INDEX IDX_HOR_CON_PER_FM ON HORARIO_CONTROL_PERSONAL (FECHA_MODIF);
CREATE INDEX IDX_JORNADA_FM ON JORNADA (FECHA_MODIF);
CREATE INDEX IDX_JUSTIFICACION_FM ON JUSTIFICACION (FECHA_MODIF);
CREATE INDEX IDX_NOVEDAD_FM ON NOVEDAD (FECHA_MODIF);
CREATE INDEX IDX_PERIODO_FM ON PERIODO (FECHA_MODIF);
CREATE INDEX IDX_PERSONA_HORARIO_FM ON PERSONA_HORARIO (FECHA_MODIF);
CREATE INDEX IDX_RETICULA_CALENDARIO_FM ON RETICULA_CALENDARIO (FECHA_MODIF);

-- REPORTES DEL SISTEMA
CREATE INDEX IDX_REPORTE_ACCESO_1 ON REPORTE_ACCESO (ID_REPORTE);
CREATE INDEX IDX_REPORTE_ACCESO_2 ON REPORTE_ACCESO (ID_USUARIO);

CREATE INDEX IDX_REPORTE_HORARIO_1 ON REPORTE_HORARIO (ID_REPORTE);
CREATE INDEX IDX_REPORTE_HORARIO_2 ON REPORTE_HORARIO (ID_USUARIO);
CREATE INDEX IDX_REPORTE_HORARIO_3 ON REPORTE_HORARIO (ID_TIPO_AUTORIZACION);
CREATE INDEX IDX_REPORTE_HORARIO_4 ON REPORTE_HORARIO (ID_PARAMETRO_EXPO);
CREATE INDEX IDX_REPORTE_HORARIO_5 ON REPORTE_HORARIO (FORMATO_AUSENCIA);
CREATE INDEX IDX_REPORTE_HORARIO_6 ON REPORTE_HORARIO (FORMATO_CAMBIO_HORARIO);
CREATE INDEX IDX_REPORTE_HORARIO_7 ON REPORTE_HORARIO (FORMATO_AUTORIZACION);
CREATE INDEX IDX_REPORTE_HORARIO_8 ON REPORTE_HORARIO (FORMATO_FERIADO);

CREATE INDEX IDX_REPORTE_COMEDOR_1 ON REPORTE_COMEDOR (ID_REPORTE);
CREATE INDEX IDX_REPORTE_COMEDOR_2 ON REPORTE_COMEDOR (ID_USUARIO);

CREATE INDEX IDX_REPORTE_COMUNICACION_1 ON REPORTE_COMUNICACION (ID_REPORTE);
CREATE INDEX IDX_REPORTE_COMUNICACION_2 ON REPORTE_COMUNICACION (ID_USUARIO);

CREATE INDEX IDX_ENVIO_REPORTE_1 ON ENVIO_REPORTE (ID_TIPO_ENVIO_REPORTE);
CREATE INDEX IDX_ENVIO_REPORTE_2 ON ENVIO_REPORTE (USUARIO_ALTA);
CREATE INDEX IDX_ENVIO_REPORTE_3 ON ENVIO_REPORTE (USUARIO_MODIF);
CREATE INDEX IDX_ENVIO_REPORTE_4 ON ENVIO_REPORTE (ID_IDIOMA);

CREATE INDEX IDX_REL_ENV_REP_ACC_1 ON REL_ENVIO_REPORTE_ACCESO (ID_ENVIO_REPORTE);
CREATE INDEX IDX_REL_ENV_REP_ACC_2 ON REL_ENVIO_REPORTE_ACCESO (ID_REPORTE_ACCESO);

CREATE INDEX IDX_REL_ENV_REP_HOR_1 ON REL_ENVIO_REPORTE_HORARIO (ID_ENVIO_REPORTE);
CREATE INDEX IDX_REL_ENV_REP_HOR_2 ON REL_ENVIO_REPORTE_HORARIO (ID_REPORTE_HORARIO);

CREATE INDEX IDX_REL_ENV_REP_COM_1 ON REL_ENVIO_REPORTE_COMEDOR (ID_ENVIO_REPORTE);
CREATE INDEX IDX_REL_ENV_REP_COM_2 ON REL_ENVIO_REPORTE_COMEDOR (ID_REPORTE_COMEDOR);

CREATE INDEX IDX_REL_ENV_REP_CMN_1 ON REL_ENVIO_REPORTE_COMUNICACION (ID_ENVIO_REPORTE);
CREATE INDEX IDX_REL_ENV_REP_CMN_2 ON REL_ENVIO_REPORTE_COMUNICACION (ID_REPORTE_COMUNICACION);

CREATE INDEX IDX_REL_ENV_REP_USU_1 ON REL_ENVIO_REPORTE_USUARIO (ID_ENVIO_REPORTE);
CREATE INDEX IDX_REL_ENV_REP_USU_2 ON REL_ENVIO_REPORTE_USUARIO (ID_USUARIO);

CREATE INDEX IDX_PAR_PROC_EJECUCION ON PARAMETRO_PROCESO (ID_TIPO_EJECUCION_PROCESO);

CREATE INDEX IDX_CMA_MENU_1 ON COMEDOR_MENU_AUTOMATICO (ID_RELOJ);
CREATE INDEX IDX_CMA_MENU_2 ON COMEDOR_MENU_AUTOMATICO (ID_MENU);
CREATE INDEX IDX_CMA_MENU_3 ON COMEDOR_MENU_AUTOMATICO (USUARIO_ALTA);
CREATE INDEX IDX_CMA_MENU_4 ON COMEDOR_MENU_AUTOMATICO (USUARIO_MODIF);

CREATE INDEX IDX_REL_PER_COM_MEN_1 ON REL_PERSONA_COMEDOR_MENU (ID_PERSONA_COMEDOR);
CREATE INDEX IDX_REL_PER_COM_MEN_2 ON REL_PERSONA_COMEDOR_MENU (ID_MENU);

CREATE INDEX IDX_SINCRONIZACION_1 ON SINCRONIZACION (ID_EMPRESA);

CREATE INDEX IDX_MENSAJE_USUARIO_1 ON MENSAJE_USUARIO (ID_USUARIO_ORIGEN);
CREATE INDEX IDX_MENSAJE_USUARIO_2 ON MENSAJE_USUARIO (ID_USUARIO_DESTINO);
CREATE INDEX IDX_MENSAJE_USUARIO_3 ON MENSAJE_USUARIO (ID_ESTADO_MENSAJE);

CREATE INDEX IDX_LECTURA_AUTOMATICA_1 ON LECTURA_AUTOMATICA (ID_EMPRESA);
CREATE INDEX IDX_LECTURA_AUTOMATICA_2 ON LECTURA_AUTOMATICA (ID_PARAMETRO_IMPO);
CREATE INDEX IDX_LECTURA_AUTOMATICA_3 ON LECTURA_AUTOMATICA (ID_AGENTE);
CREATE INDEX IDX_LECTURA_AUTOMATICA_4 ON LECTURA_AUTOMATICA (USUARIO_ALTA);
CREATE INDEX IDX_LECTURA_AUTOMATICA_5 ON LECTURA_AUTOMATICA (USUARIO_MODIF);

CREATE INDEX IDX_PERSONA_MOBILE_PERSONA ON PERSONA_MOBILE (ID_PERSONA);
CREATE INDEX IDX_PER_MOBILE_USER_ALTA ON PERSONA_MOBILE (USUARIO_ALTA);
CREATE INDEX IDX_PER_MOBILE_USER_MODIF ON PERSONA_MOBILE (USUARIO_MODIF);
CREATE INDEX IDX_PERSONA_MOBILE_GEO ON PERSONA_MOBILE (ID_GEOLOCALIZACION);
CREATE INDEX IDX_PERSONA_MOBILE_CACT ON PERSONA_MOBILE (ID_CONTROL_ACTIVIDAD);
CREATE INDEX IDX_PERSONA_MOBILE_IACT ON PERSONA_MOBILE (ID_INICIO_ACTIVIDAD);
CREATE INDEX IDX_PERSONA_MOBILE_APP ON PERSONA_MOBILE (ID_APP_MOBILE);
CREATE INDEX IDX_PERSONA_MOBILE_ANDID ON PERSONA_MOBILE (ANDROID_ID);
CREATE INDEX IDX_PERSONA_MOBILE_IOSID ON PERSONA_MOBILE (IOS_ID);
CREATE INDEX IDX_PERSONA_MOBILE_CRPCID ON PERSONA_MOBILE (CRPC_ID);

CREATE INDEX IDX_GEOLOCALIZACION_EMPRESA ON GEOLOCALIZACION (ID_EMPRESA);
CREATE INDEX IDX_GEOLOCALIZACION_USER_ALTA ON GEOLOCALIZACION (USUARIO_ALTA);
CREATE INDEX IDX_GEOLOCALIZACION_USER_MODIF ON GEOLOCALIZACION (USUARIO_MODIF);

CREATE INDEX IDX_REL_PER_GEO_PM ON REL_PERSONA_GEOLOCALIZACION (ID_PERSONA_MOBILE);
CREATE INDEX IDX_REL_PER_GEO_GEO ON REL_PERSONA_GEOLOCALIZACION (ID_GEOLOCALIZACION);

CREATE INDEX IDX_PRMTR_MBL_EMP ON PARAMETRO_MOBILE (ID_EMPRESA);
CREATE INDEX IDX_PRMTR_MBL_CACT ON PARAMETRO_MOBILE (ID_CONTROL_ACTIVIDAD);
CREATE INDEX IDX_PRMTR_MBL_IACT ON PARAMETRO_MOBILE (ID_INICIO_ACTIVIDAD);

CREATE INDEX IDX_PRMTR_AD_EMP ON PARAMETRO_AD (ID_EMPRESA);
CREATE INDEX IDX_PRMTR_AD_IDI ON PARAMETRO_AD (ID_IDIOMA);
CREATE INDEX IDX_PRMTR_AD_PRF ON PARAMETRO_AD (ID_PERFIL);
CREATE INDEX IDX_PRMTR_AD_USR ON PARAMETRO_AD (ID_SUPERIOR_INMEDIATO);
CREATE INDEX IDX_PRMTR_AD_ASG ON PARAMETRO_AD (ID_TIPO_ASIGNACION_GRUPO);

CREATE INDEX IDX_RGPAD_PA ON REL_GRP_PRM_AD (ID_PARAMETRO_AD);
CREATE INDEX IDX_RGPAD_GRP ON REL_GRP_PRM_AD (ID_GRUPO);

CREATE INDEX IDX_NOV_ACC_EMPRESA ON NOVEDAD_ACCESO (ID_EMPRESA);
CREATE INDEX IDX_NOV_ACC_ESTADO ON NOVEDAD_ACCESO (ID_ESTADO_NOVEDAD_ACCESO);
CREATE INDEX IDX_NOV_ACC_TIPO ON NOVEDAD_ACCESO (ID_TIPO_NOVEDAD_ACCESO);

CREATE INDEX IDX_REL_NOV_ACC_NOV ON REL_NOV_ACCESO_PERSONA (ID_NOVEDAD_ACCESO);
CREATE INDEX IDX_REL_NOV_ACC_PERS ON REL_NOV_ACCESO_PERSONA (ID_PERSONA);

CREATE INDEX IDX_CAMARA_EMPRESA ON CAMARA (ID_EMPRESA);
CREATE INDEX IDX_CAMARA_USER_ALTA ON CAMARA (USUARIO_ALTA);
CREATE INDEX IDX_CAMARA_USER_MODIF ON CAMARA (USUARIO_MODIF);
CREATE INDEX IDX_CAMARA_MODO_CAMARA ON CAMARA (ID_MODO_CAMARA);
CREATE INDEX IDX_CAMARA_ESTADO ON CAMARA (ID_ESTADO_CAMARA);
CREATE INDEX IDX_CAMARA_RESOLUCION ON CAMARA (ID_RESOLUCION_CAMARA);

CREATE INDEX IDX_REL_CR_CAMARA ON REL_CAMARA_RELOJ (ID_CAMARA);
CREATE INDEX IDX_REL_CR_RELOJ ON REL_CAMARA_RELOJ (ID_RELOJ);

CREATE INDEX IDX_ACT_EMPRESA ON ACTIVIDAD (ID_EMPRESA);
CREATE INDEX IDX_ACT_USER_ALTA ON ACTIVIDAD (USUARIO_ALTA);
CREATE INDEX IDX_ACT_USER_MODIF ON ACTIVIDAD (USUARIO_MODIF);

CREATE INDEX IDX_REG_ACT_PERS ON REGISTRO_ACTIVIDAD (ID_PERSONA);
CREATE INDEX IDX_REG_ACT_ACT ON REGISTRO_ACTIVIDAD (ID_ACTIVIDAD);
CREATE INDEX IDX_REG_ACT_EST_ACT ON REGISTRO_ACTIVIDAD (ID_ESTADO_ACTIVIDAD);
CREATE INDEX IDX_REG_ACT_GEO ON REGISTRO_ACTIVIDAD (ID_GEOLOCALIZACION);

CREATE INDEX IDX_EXPOINDSAL_FJ ON EXPOINDSAL (FECHA_JORNADA);
CREATE INDEX IDX_EXPOINDSAL_PERS ON EXPOINDSAL (ID_PERSONA);